{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous" />

    <title>Add Note Form</title>
    <style>
      .main_content,
      form,
      input {
        padding: 0;
        margin: 0;
        outline: none;
        font-family: Arial, sans-serif;
        font-size: 20px;
        font-weight: bold;
        color: rgb(255, 255, 255);
        line-height: 14px;
      }
      body {
        background-image: url("https://4kwallpapers.com/images/walls/thumbs_3t/1455.jpg");
        background-size: cover;
      }
      .main_content {
        margin-top: 50px;
        padding-left: 100px;
        padding-right: 130px;
        height: 800px;
        display: flex;
        flex-direction: column;
        /* justify-content: center; */
      }
      form {
        width: 100%;
        padding: 20px;
        border-radius: 6px;
        background: rgba(0, 0, 0, 0.5);
        box-shadow: 0 0 8px #ffffff;
      }
      input {
        margin-bottom: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        width: calc(100% - 20px);
        padding: 10px;
        background: rgba(180, 180, 180, 0.5);
      }
      .box {
        margin-top: 20px;
      }
    </style>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: rgba(0, 0, 0, 0.5)">
      <div class="container-fluid">
        <a class="navbar-brand" href="/lab-1">
          <img src="{% static 'images/logo.png' %}" alt="" width="30" height="24">
          MYMY's Site</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4">Note Table</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4/note-list">Note Card</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/add-note">Add Note</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    
    <div class="main_content">
      <p style="font-size: 48px; font-weight: bold; text-align: center; text-shadow: 4px 4px 6px #222222">Note Form</p>
      <div class="box">
        <form action="" method="POST">
          {% csrf_token %}
          <p>To</p>
          <input id="note_to" type="text" name="note_to" />
          <p>From</p>
          <input id="note_from" type="text" name="note_from" />
          <p>Title</p>
          <input id="note_title" type="text" name="note_title" />
          <p>message</p>
          <input id="note_msg" type="text" name="note_msg" />
          <input type="submit" value="Submit" style="color: whitesmoke; background: rgba(0, 132, 255, 0.5)" />
        </form>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-kQtW33rZJAHjgefvhyyzcGF3C5TFyBQBA13V1RKPf4uH+bwyzQxZ6CmMZHmNBEfJ" crossorigin="anonymous"></script>
  </body>
</html>
